Subject: bug#37620: update

From: Stephen Leake <[email-masked]>
Date: Tue, 22 Oct 2019 14:11:59 -0700

The error message:

Error during redisplay: (jit-lock-function 32410) signaled (error 
"wisi-process-parse not getting more text (or bad syntax in process 
output)")

indicates that the parser running in the external process is taking too
long to responde, so the elisp interface is timing out.

This can be due to two causes;

1. the code has a syntax error that is particularly hard to correct

2. the computer is otherwise loaded, so the parser is running slowly.

Since you report it happening in several files at different places,
cause 1. is not likely.

You can try increasing wisi-process-time-out (default 5 seconds); that
is how long the elisp interace waits for the external parser.

I'll change the error message to mention wisi-process-time-out.

-- 
-- Stephe